Subject: Re: can't install on OS X

From: Stephen Bash <[email-masked]>
Date: Fri, 2 Oct 2015 09:41:49 -0400 (EDT)

----- Original Message -----
> From: "Spencer Graves" <[email-masked]>
> Sent: Friday, October 2, 2015 2:50:30 AM
> Subject: can't install on OS X
>
> I downloaded "git-2.5.3-intel-universal-mavericks.dmg" per
> instructions.  When I tried to install it, I first had trouble because
> it wasn't from the Mac App Store nor an "identified developer".

You can also right click on the installer and select "Open" for a very similar dialog, but one that gives you the opportunity to run the installer anyway.

> "README.txt" says I need "sudo mv /usr/bin/git /usr/bin/git-system".  I
> tried that and got, "mv: rename /usr/bin/git to /usr/bin/git-system:
> Operation not permitted" (after entering my password).  [My directory
> now includes "/usr/local/git", and "/usr/bin" includes git,
> git-cvsserver, git-receive-pack, git-shell, git-upload-archive, and
> git-upload-pack.]
> 
> Suggestions?

Sounds like you're running afoul of El Capitan's new System Integrity Protection (SIP) [1].  The git commands you're seeing there are probably Apple's thin wrappers that are mostly meant to provide instructions on installing XCode, but SIP is stopping you from modifying the /usr directory (ah, Apple's Infinite Wisdom).  There are discussions about working around SIP in the Apple forums [2] and Homebrew has some hints as well [3].

[1] https://developer.apple.com/library/prerelease/mac/releasenotes/MacOSX/WhatsNewInOSX/Articles/MacOSX10_11.html
[2] https://forums.developer.apple.com/thread/3981
[3] https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/El_Capitan_and_Homebrew.md#if-usrlocal-does-not-exist

HTH,
Stephen